
local Widget = LIBTD('Widget')
if not Widget or Widget('Button') then return end

local CreateFrame = CreateFrame

local Button = Widget:NewModule('Button', CreateFrame('Button'))

function Button:New(parent)
    local button = CreateFrame('Button', nil, parent)
    button:SetSize(100, 22)

    button:SetHighlightFontObject('GameFontHighlightSmall')
    button:SetNormalFontObject('GameFontNormalSmall')

    button:SetNormalTexture([[Interface\Buttons\UI-Panel-Button-Up]])
    button:SetPushedTexture([[Interface\Buttons\UI-Panel-Button-Down]])
    button:SetHighlightTexture([[Interface\Buttons\UI-Panel-Button-Highlight]])
    button:SetDisabledTexture([[Interface\Buttons\UI-Panel-Button-Disabled]])
    button:GetNormalTexture():SetTexCoord(0, 0.625, 0, 0.6875)
    button:GetPushedTexture():SetTexCoord(0, 0.625, 0, 0.6875)
    button:GetHighlightTexture():SetTexCoord(0, 0.625, 0, 0.6875)
    button:GetDisabledTexture():SetTexCoord(0, 0.625, 0, 0.6875)
    button:GetHighlightTexture():SetBlendMode('ADD')
    
    return button
end

function Button:GetWidgetType()
    return 'Button'
end
