
local Widget = LIBTD('Widget')

if not Widget then return end

Widget.Media = {}

local Media = Widget.Media

Media.Fonts = {}

do
    local tempfontlist = {
        [[Fonts\ARIALN.TTF]],
        [[Fonts\FRIZQT__.TTF]],
        [[Fonts\2002B.TTF]],
        [[Fonts\2002.TTF]],
        [[Fonts\K_Damage.TTF]],
        [[Fonts\K_Pagetext.TTF]],
        [[Fonts\ZYKai_C.TTF]],
        [[Fonts\ZYKai_T.TTF]],
        [[Fonts\ZYHei.TTF]],
        [[Fonts\bHEI00M.TTF]],
        [[Fonts\bHEI01B.TTF]],
        [[Fonts\bKAI00M.TTF]],
        [[Fonts\bLEI00D.TTF]],
        [[Fonts\MORPHEUS.TTF]],
        [[Fonts\NIM_____.TTF]],
        [[Fonts\SKURRI.TTF]],
    }
    local testFont = CreateFont('tdCooldown3_ConfigTestFont')
    local fontpath = [[Interface\AddOns\!LIBTD\media\fonts\font%d.TTF]]
    
    for i, font in ipairs(tempfontlist) do
        if testFont:SetFont(font, 12) then
            tinsert(Media.Fonts, font)
        end
    end
    
    local i = 1
    local font
    while true do
        font = fontpath:format(i)
        if testFont:SetFont(font, 12) then
            tinsert(Media.Fonts, font)
        else
            break
        end
        i = i + 1
    end
end